# Uses of Class
org.apache.lucene.spatial.query.SpatialOperation

Packages that use SpatialOperation
Package
Description
org.apache.lucene.spatial.query
Spatial Query options useful for client side requests
org.apache.lucene.spatial.util
Advanced spatial utilities.

- ## Uses of SpatialOperation in org.apache.lucene.spatial.query

  Fields in org.apache.lucene.spatial.query declared as SpatialOperation
  Modifier and Type
  Field
  Description
  `static final SpatialOperation`
  SpatialOperation.`BBoxIntersects`
  Bounding box of the *indexed* shape, then `Intersects`.
  `static final SpatialOperation`
  SpatialOperation.`BBoxWithin`
  Bounding box of the *indexed* shape, then `IsWithin`.
  `static final SpatialOperation`
  SpatialOperation.`Contains`
  Meets the "Covers" OGC definition (boundary-neutral).
  `static final SpatialOperation`
  SpatialOperation.`Intersects`
  Meets the "Intersects" OGC definition.
  `static final SpatialOperation`
  SpatialOperation.`IsDisjointTo`
  Meets the "Disjoint" OGC definition.
  `static final SpatialOperation`
  SpatialOperation.`IsEqualTo`
  Meets the "Equals" OGC definition.
  `static final SpatialOperation`
  SpatialOperation.`IsWithin`
  Meets the "CoveredBy" OGC definition (boundary-neutral).
  `static final SpatialOperation`
  SpatialOperation.`Overlaps`
  Almost meets the "Overlaps" OGC definition, but boundary-neutral (boundary==interior).
  Methods in org.apache.lucene.spatial.query that return SpatialOperation
  Modifier and Type
  Method
  Description
  `static SpatialOperation`
  SpatialOperation.`get(String v)`
  `SpatialOperation`
  SpatialArgs.`getOperation()`
  Methods in org.apache.lucene.spatial.query that return types with arguments of type SpatialOperation
  Modifier and Type
  Method
  Description
  `static List<SpatialOperation>`
  SpatialOperation.`values()`
  Methods in org.apache.lucene.spatial.query with parameters of type SpatialOperation
  Modifier and Type
  Method
  Description
  `static boolean`
  SpatialOperation.`is(SpatialOperation op, SpatialOperation... tst)`
  `protected SpatialArgs`
  SpatialArgsParser.`newSpatialArgs(SpatialOperation op, org.locationtech.spatial4j.shape.Shape shape)`
  `void`
  SpatialArgs.`setOperation(SpatialOperation operation)`
  Constructors in org.apache.lucene.spatial.query with parameters of type SpatialOperation
  Modifier
  Constructor
  Description
  ``
  `SpatialArgs(SpatialOperation operation, org.locationtech.spatial4j.shape.Shape shape)`
  ``
  `UnsupportedSpatialOperation(SpatialOperation op)`

- ## Uses of SpatialOperation in org.apache.lucene.spatial.util

  Constructors in org.apache.lucene.spatial.util with parameters of type SpatialOperation
  Modifier
  Constructor
  Description
  ``
  `ShapeValuesPredicate(ShapeValuesSource shapeValuesource, SpatialOperation op, org.locationtech.spatial4j.shape.Shape queryShape)`